// pages/setup/index.js
const api = require('../../api/index.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
// 状态栏高度
statusBarHeight: wx.getStorageSync('statusBarHeight'),
// 导航栏高度
navBarHeight: wx.getStorageSync('navBarHeight'),

// 导航栏和状态栏高度
navStatusBarHeight: wx.getStorageSync('navStatusBarHeight'),

// 胶囊
menu:wx.getStorageSync('menu'),
accountInfo:'',
user:'',
station:wx.getStorageSync('station'),
showMultiTextAndTitle:false,
inputValue: '' // 初始值
  },
  onstation(){
    wx.navigateTo({
      url: '/pages/station/index', // 登录页面的路径，注意路径前面加上 '/' 表示从根目录开始
    });
  },
  onsetup(){
    wx.navigateTo({
      url: '/package-setup/pages/setuplevel/index', // 登录页面的路径，注意路径前面加上 '/' 表示从根目录开始
    });
  },
  // 电站详情
  onpowerstation(){
    wx.showToast({
      title: '暂未开放',
      icon: 'none'
    });
    return
 this.setData({
  showMultiTextAndTitle:true
 })
    
  },
  closeDialog(){
 this.setData({
  showMultiTextAndTitle:false
   
 })
  },
  
  click(){
    console.log('当前输入的文字是:', this.data.inputValue);
  },
  oncreatestation(){

  },
  toconfigure(e){
    console.log(e.currentTarget.dataset.name);
    if (e.currentTarget.dataset.name=="userlist") {
      // 历史订单
      wx.navigateTo({
        url: '/package-user/pages/userlist/index',
      });
    }else if (e.currentTarget.dataset.name=="driver"){
      // 订单发票
      wx.navigateTo({
        url: '/package-user/pages/driver/index',
      });
    }else if (e.currentTarget.dataset.name=="address"){
      wx.navigateTo({
        url: '/package-order/pages/address/index',
      });
    }else{
      wx.showToast({
        title: '暂未开放',
        icon: 'none'
      });
    }
  
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {
   let _this = this
   try {
    const accountInfo = wx.getAccountInfoSync();
    this.setData({
      accountInfo:accountInfo.miniProgram.version
    })
  } catch (e) {
    console.error("获取小程序版本号失败:", e);
  }
     
  },

 
   onuser(){
    wx.showToast({
      title: '暂未开放',
      icon: 'none'
    });
  return
    wx.navigateTo({
      url: '/pages/personalInfo/index', // 登录页面的路径，注意路径前面加上 '/' 表示从根目录开始
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
//  this.getuser()

    this.setData({
      station:wx.getStorageSync('station'),
      user:wx.getStorageSync('user')
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享   
   */                  
  onShareAppMessage() {

  }
})
